/* (C) 2022 YiRing, Inc. */
package com.yiring.app.push.rabbitmq;

import com.yiring.app.push.domain.PushMessageRepository;
import javax.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * rabbitmq配置
 *
 * @author ifzm
 * 2019/8/21 16:07
 */

@SuppressWarnings({ "unused" })
@Slf4j
@Component("PushRabbitReceiver")
@Transactional(rollbackFor = Exception.class)
public class PushRabbitReceiver {

    @Resource
    PushMessageRepository repository;

    @RabbitHandler
    @RabbitListener(queues = PushRabbitConfig.PUSH_WS_QUEUE)
    public void receiverWebSocketMessage(Long id) {
        log.info("接收到消息: " + id);

        repository.findById(id).ifPresent(message -> log.info("{}", message));
    }
}
