/* (C) 2022 YiRing, Inc. */
package com.yiring.app.util;

import lombok.experimental.UtilityClass;
import org.locationtech.jts.geom.Coordinate;
import org.locationtech.jts.geom.GeometryFactory;
import org.locationtech.jts.geom.Point;

/**
 * 空间函数工具类
 *
 * @author Jim
 * @version 0.1
 * 2022/4/15 9:52
 */

@SuppressWarnings({ "unused" })
@UtilityClass
public class GeoUtils {

    private final GeometryFactory factory = new GeometryFactory();

    /**
     * 创建点
     *
     * @param lon 经度
     * @param lat 纬度
     * @return 点
     */
    public Point createPoint(double lon, double lat) {
        return factory.createPoint(new Coordinate(lon, lat));
    }
}
